package com.itko.lisa.ext.gxs.vse.test;

import com.google.common.io.Closeables;
import com.google.common.io.Files;
import com.google.common.io.Flushables;
import gxs.iefecsr.ejbreceive.ICSReceiveSessionHelper;
import gxs.iefecsr.ejbsend.ICSSendSessionHelper;

import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;

/**
 * InterceptorTest - <Nice descriptive name of class>
 *
 * @author <a href="mailto:daniel.bingham@itko.com">Daniel Bingham</a>
 */
public class InterceptorTest
{
    public static void main( String[] args )
    {
        try
        {
            Thread.sleep( 6000 );


            InputStream is = new ByteArrayInputStream( "hello world".getBytes() );
            System.out.println( "Step 1" );
            ICSSendSessionHelper.doTrustedSendSession( null, null, null, null, null, is );

            System.out.println( "Step 2" );
            Properties props = new Properties();
            props.setProperty( "asdf", "" );
            props.setProperty( "fdsa", "" );
            props.setProperty( "qwerty", "" );
            props.setProperty( "ytrewq", "" );
            OutputStream out = Files.newOutputStreamSupplier( new File(
                                                                      "/Users/dbingham/Documents/Work/iTKO/Projects/GXS/tgmsIEFE/TGMS_Virtualization/Data/testOut.txt" ) )
                                    .getOutput();
            ICSReceiveSessionHelper.doReceiveSession( props, 1234L, 54321L, 0, 0, out );
            Flushables.flushQuietly( out );
            Closeables.closeQuietly( out );
        }
        catch( Exception e )
        {
            e.printStackTrace();
        }
    }
}
