package com.itko.lisa.ext.trilead;

import java.io.Serializable;

public class SFTPStepSettings implements Serializable {
	
	private static final long serialVersionUID = -6764806059457784498L;
	private String hostname = "127.0.0.1";
	private String port = "22";
	private String username = "joe";
	private String password = "joespass";
	private String command = "ls";
	private String path = "/";
	private String filename = "";
	private String content = "";
	private String protocol = SFTPStep.PROTOCOL_SFTP;
	private boolean saveToFile = false;
	private String destFile = "sftp.txt";
	private String auth = TrileadConnectionFactory.AUTH_PASSWORD;
	private String privateKey = "";
	private String privateKeyPass = "";
	
	public String getHostname() {
		return hostname;
	}
	public void setHostname(String hostname) {
		this.hostname = hostname;
	}
	public String getPort() {
		if ((port == null) || (port.length() == 0)) {
			return "22";
		}
		return port;
	}
	public void setPort(String port) {
		this.port = port;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getCommand() {
		return command;
	}
	public void setCommand(String command) {
		this.command = command;
	}
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public String getFilename() {
		return filename;
	}
	public void setFilename(String filename) {
		this.filename = filename;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getProtocol() {
		return protocol;
	}
	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}
	public boolean isSaveToFile() {
		return saveToFile;
	}
	public void setSaveToFile(boolean saveToFile) {
		this.saveToFile = saveToFile;
	}
	public String getDestFile() {
		return destFile;
	}
	public void setDestFile(String destFile) {
		this.destFile = destFile;
	}
	public String getAuth() {
		return auth;
	}
	public void setAuth(String auth) {
		if (auth == null) {
			auth = TrileadConnectionFactory.AUTH_PASSWORD;
		} else {
			this.auth = auth;
		}
	}
	public String getPrivateKey() {
		return privateKey;
	}
	public void setPrivateKey(String privateKey) {
		this.privateKey = privateKey;
	}
	public String getPrivateKeyPass() {
		return privateKeyPass;
	}
	public void setPrivateKeyPass(String privateKeyPass) {
		this.privateKeyPass = privateKeyPass;
	}
}
