package com.itko.lisa.test;

import java.util.Date;
import java.util.Properties;
import java.io.*;

/**
 */
public class DownloaderMain {
    public static void main(String[] args) throws Exception {

        FileDownloader.class.getName();
        Properties jndiProps = new Properties();
        char accessMethod = 'a';
        String userID = "AAAnnxxx";
        String password = "AAAnnxxx";
        String serviceRef = "REF";
        String isBillable = "Y";
        
        
        jndiProps.put("abc", "123");
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        while (true) {
            System.out.println("Hit enter to run doUserReceiveSessionNoRetry...");
            br.readLine();
            
            // Create a reference to System.out where data will be dumped
            OutputStream outputStream = new DataOutputStream(System.out);
            FileDownloader.doUserReceiveSessionNoRetry(jndiProps, accessMethod, userID, password, serviceRef, isBillable, outputStream);
            
        }
    }
}

class FileDownloader
{
	public static ICMetaData doUserReceiveSessionNoRetry(
            Properties jndiProps, char accessMethod,
            String userID, String password, 
            String serviceRef,  String isBillable,
            OutputStream outputStream) throws Exception {
		
		StringBuffer res = new StringBuffer();
		res.append("accessMethod=" + accessMethod + "\n");
		res.append("userID=" + userID + "\n");
		res.append("password=" + password + "\n");
		res.append("serviceRef=" + serviceRef + "\n");
		res.append("Date=" + new java.util.Date() + "\n");
		res.append("END\n\n");
		
		outputStream.write(res.toString().getBytes());
		
		ICMetaData data = new ICMetaData();
		return data;
	}
}

class ICMetaData implements Serializable
{
	static final long serialVersionUID = 2003070200000000000L;

	private char fileType;
	private String senderAddress;
	private String receiverAddress;
	private String aprf;
	private String snrf;
	private String serviceRef;
	private Date mailboxed;
	private Date extracted;
	private long mailBoxSize;
	private long offset;
	private long size;
	private String senderTUN;
	private String receiverTUN;
	private String senderLoc;
	private String receiverLoc;
	private Properties propsAdditionalInfo;
	private byte[] segmentTerminator;
	private long lILog;
	private int icpos;
	private int copyno;
	private int status;
	
}